Bug 151779 - numlock LED turns off for no reason
numlock LED turns off for no reason
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2005-03-22 05:14 EST by Trevor Cordes
Modified: 2015-07-11 16:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 22:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2005-03-22 05:14:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
For the longest time now (many months), after switching from FC1 to FC3 (yum upgrade), my numlock LED will turn itself off for no apparent reason while I am working, usually several times a day.  It's usually while I'm typing, and I can't seem to put my finger on exactly what's triggering it -- it seems very random.  Lately it appears to be around when I am holding left-shift down to do some capital letters, but I can't know for sure.

It's just the LED shutting off.  Numlock is still in effect.  If I press caps lock, then the numlock key will come back on to indicate its correct status.  If I press numlock after the numlock LED has turned off, then the numlock LED stays off (again showing that numlock indeed was still on).  If I press numlock again, the LED will come back on (as expected).

I'm using Driver "kbd" in my xorg.conf file.  I have had issues in the past with Driver "keyboard" (bug 134110) and am still using kbd for that reason.  I have no idea if this is related.


Version-Release number of selected component (if applicable):
xorg-x11-6.8.1.901-1 kbd-1.12-2

How reproducible:
Always

Steps to Reproduce:
1. run X
2. type away for hours and hours
3.
  

Actual Results:  numlock LED goes off for no reason

Expected Results:  numlock LED stays on

Additional info:
Comment 1 Mike A. Harris 2005-04-11 06:45:15 EDT
After upgrading your system to the latest Fedora Core 3 updates, if you
still experience this problem, you can file a bug report in X.Org bugzilla,
which is located at http://bugs.freedesktop.org in the "xorg" component,
and X.Org developers will investigate the issue.

Once you've filed your report to X.Org, if you paste the URL here,
Red Hat will track the issue in X.Org bugzilla with upstream developers,
and will review any fixes that become available for potential inclusion
in future Fedora Core updates.
Comment 2 Mike A. Harris 2005-04-11 06:45:59 EDT
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.
Comment 3 Trevor Cordes 2005-04-15 12:11:43 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=3037

I am running all the latest FC3 updates.
Comment 4 Mike A. Harris 2005-05-16 22:11:31 EDT
Thanks for the URL.

Adding to our upstream bug tracker.
Comment 5 Matthias31 2015-07-11 16:27:42 EDT
Numlock turns off when i  by the login screen.

It is on between boot and login screen, goes of by the login screen and turns on when gnome hast started. 

When it write text e.g a letter, numlock LED turns off

Note You need to log in before you can comment on or make changes to this bug.